org.apache.sling.commons.osgi

## Class ManifestHeader.PathImpl

- java.lang.Object
- - org.apache.sling.commons.osgi.ManifestHeader.PathImpl

All Implemented Interfaces:
  ManifestHeader.Entry

Enclosing class:
  ManifestHeader

    protected static final class ManifestHeader.PathImpl
    extends Object
    implements ManifestHeader.Entry

### Constructor Summary

Constructors
Constructor and Description
`PathImpl(String path)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ManifestHeader.NameValuePair[]` `getAttributes()`
`String` `getAttributeValue(String name)`
`ManifestHeader.NameValuePair[]` `getDirectives()`
`String` `getDirectiveValue(String name)`
`String` `getValue()`
`void` `init(ManifestHeader.NameValuePair[] dirs, ManifestHeader.NameValuePair[] attrs)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PathImpl

    public PathImpl(String path)

### Method Detail

#### init

    public void init(ManifestHeader.NameValuePair[] dirs,
                     ManifestHeader.NameValuePair[] attrs)

#### getAttributes

    public ManifestHeader.NameValuePair[] getAttributes()

Specified by:
  `getAttributes` in interface `ManifestHeader.Entry`
Returns:
  The attributes specified for this entry.
See Also:
  `ManifestHeader.Entry.getAttributes()`

#### getDirectives

    public ManifestHeader.NameValuePair[] getDirectives()

Specified by:
  `getDirectives` in interface `ManifestHeader.Entry`
Returns:
  The directives for this entry.
See Also:
  `ManifestHeader.Entry.getDirectives()`

#### getValue

    public String getValue()

Specified by:
  `getValue` in interface `ManifestHeader.Entry`
Returns:
  The value of the entry.
See Also:
  `ManifestHeader.Entry.getValue()`

#### getAttributeValue

    public String getAttributeValue(String name)

Specified by:
  `getAttributeValue` in interface `ManifestHeader.Entry`

#### getDirectiveValue

    public String getDirectiveValue(String name)

Specified by:
  `getDirectiveValue` in interface `ManifestHeader.Entry`